<?php 
/**
 * Plugin Name: Gravatar Pictures (Matomo Plugin)
 * Plugin URI: http://plugins.matomo.org/GravatarPictures
 * Description: Obtains Gravatar Profile Pictures
 * Author: scysys
 * Author URI: https://github.com/scysys/MatomoGravatarPictures
 * Version: 1.0.0
 */
?><?php
/**
 * Piwik - free/libre analytics platform
 *
 * @link https://matomo.org
 * @license http://www.gnu.org/licenses/gpl-3.0.html GPL v3 or later
 */

namespace Piwik\ Plugins\ GravatarPictures;

 
if (defined( 'ABSPATH')
&& function_exists('add_action')) {
    $path = '/matomo/app/core/Plugin.php';
    if (defined('WP_PLUGIN_DIR') && WP_PLUGIN_DIR && file_exists(WP_PLUGIN_DIR . $path)) {
        require_once WP_PLUGIN_DIR . $path;
    } elseif (defined('WPMU_PLUGIN_DIR') && WPMU_PLUGIN_DIR && file_exists(WPMU_PLUGIN_DIR . $path)) {
        require_once WPMU_PLUGIN_DIR . $path;
    } else {
        return;
    }
    add_action('plugins_loaded', function () {
        if (function_exists('matomo_add_plugin')) {
            matomo_add_plugin(__DIR__, __FILE__, true);
        }
    });
}

class GravatarPictures extends\ Piwik\ Plugin {
  public function getListHooksRegistered() {
    return array(
      'Live.getExtraVisitorDetails' => array(
        'after' => true,
        'function' => 'linkBuilder'
      )
    );
  }
  public function linkBuilder( & $result ) {
    $email = $result[ 'userId' ];
    $hash = md5( strtolower( $email ) );
    $base = 'https://www.gravatar.com/avatar/';
    $url = $base . $hash . '?s=120&r=pg&d=' . $_SERVER[ 'HTTP_HOST' ] . '/plugins/Live/images/unknown_avatar.png';
    $result[ 'visitorAvatar' ] = $url;
  }
}